:root {
	/* Colors: Neutrals */
	--color-black: #1D2424;
	--color-black-alt: #000;
	--color-black-contrast: var(--color-white);
	--color-black-rgb: 29, 36, 36;

	--color-white: #fff;
	--color-white-alt: var(--color-light-grey);
	--color-white-contrast: var(--color-black);
	--color-white-rgb: 255, 255, 255;

	--color-light-grey: #EFF0ED;
	--color-light-grey-alt: var(--color-grey-1);
	--color-light-grey-contrast: var(--color-black);
	--color-light-grey-rgb: 239, 240, 237;

	--color-grey: #6D7881;
	--color-grey-alt: var(--color-grey-7);
	--color-grey-contrast: var(--color-white);
	--color-grey-rgb: 109, 120, 129;

	/* Colors: Brand */
	--color-primary: #0070B5;
	--color-primary-alt: #00579e;
	--color-primary-contrast: var(--color-white);
	--color-primary-rgb: 0, 112, 181;
	--color-primary-alt-rgb: 0, 87, 158;

	/* Colors: Additional Greys */
	--color-grey-1: #D9DCDB;
	--color-grey-2: #C4C8C9;
	--color-grey-3: #AEB4B7;
	--color-grey-4: #98A0A5;
	--color-grey-5: #838C93;
	--color-grey-6: #606A71;
	--color-grey-7: #525C62;
	--color-grey-8: #454E52;
	--color-grey-9: #384043;
	--color-grey-10: #2A3234;
	--color-grey-1-rgb: 217, 220, 219;
	--color-grey-2-rgb: 196, 200, 201;
	--color-grey-3-rgb: 174, 180, 183;
	--color-grey-4-rgb: 152, 160, 165;
	--color-grey-5-rgb: 131, 140, 147;
	--color-grey-6-rgb: 96, 106, 113;
	--color-grey-7-rgb: 82, 92, 98;
	--color-grey-8-rgb: 69, 78, 82;
	--color-grey-9-rgb: 56, 64, 67;
	--color-grey-10-rgb: 42, 50, 52;

	/* Colors: Socials */
	--color-facebook: #0866ff;
	--color-pinterest: #e60023;
	--color-whatsapp: #25d366;
	--color-twitter: #1da1f2;
	--color-twitter-x: #000;
	--color-instagram: #e1306c;
	--color-linkedin: #0077b5;
	--color-youtube: #ff0000;

	/* Colors: States */
	--color-error: #f50035;
	--color-error-alt: #c4002f;
	--color-error-contrast: var(--color-white);
	--color-error-rgb: 245, 0, 53;

	--color-warning: #ff9800;
	--color-warning-alt: #f57c00;
	--color-warning-contrast: var(--color-white);
	--color-warning-rgb: 255, 152, 0;

	--color-success: #37a256;
	--color-success-alt: #21984b;
	--color-success-contrast: var(--color-white);
	--color-success-rgb: 55, 162, 86;

	--color-info: #1855A0;
	--color-info-alt: #0A4297;
	--color-primary-contrast: var(--color-white);
	--color-primary-rgb: 24, 85, 160;

	/* Borders */
	--border-width: 0.1rem;
	--border-style: solid;

	/* Corners */
	--border-radius-blocks: 0.5rem;
	--border-radius-buttons: 0.5rem;
	--border-radius-fields: 0.5rem;

	/* Padding */
	--padding-containers: 2rem;
	--padding-rows: 5rem;
	--padding-blocks: 2.5rem;
	--padding-buttons: 2.5rem;
	--padding-fields-x: 2rem;
	--padding-fields-y: 1rem;

	/* Opacity */
	--bg-opacity: 1;
	--border-opacity: 1;
	--text-opacity: 1;

	/* Fonts */
	--heading-font: 'Zalando Sans Expanded', sans-serif;
	--body-font: 'Montserrat', sans-serif;
	--body-font-size: 1.4rem;
	--body-font-weight: 300;
	--body-line-height: 1.5;
	--body-text-color: var(--color-black);
	--body-bg-color: var(--color-white);
}

@media (min-width: 576px) {
	:root {
		--padding-containers: 4rem;
		--padding-rows: 6rem;
		--padding-blocks: 2.5rem;
	}
}
@media (min-width: 768px) {
	:root {
		--body-font-size: 1.6rem;
		
		--padding-containers: 6rem;
		--padding-rows: 7rem;
		--padding-blocks: 3rem;
	}
}
@media (min-width: 1024px) {
	:root {
		--padding-containers: 8rem;
		--padding-rows: max(7rem, 5vw);
		--padding-blocks: 3.5rem;
	}
}
@media (min-width: 1280px) {
	:root {
		--padding-containers: 10rem;
		--padding-rows: max(7rem, 5vw);
		--padding-blocks: 4rem;
	}
}
@media (min-width: 1540px) {
	:root {
		--padding-containers: 12rem;
		--padding-rows: max(7rem, 5vw);
		--padding-blocks: 4.5rem;
	}
}
